# $Revision: 1.28 $, $Date: 2005/09/05 18:00:54 $
#
# Conditional build:

%define _pixmapsdir %{_datadir}/pixmaps 

Summary:	An open source reimplementation of the game "Transport Tycoon Deluxe"
Summary(pl):	Otwarta reimplementacja gry Transport Tycoon Deluxe
Name:		openttd
Version:	0.6.3
Release:	1%{?dist}
License:	GPLv2
Group:		Amusements/Games
Source0:	http://dl.sourceforge.net/openttd/%{name}-%{version}-source.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}-server.desktop
Patch0:		openttd-0.6.0-data_patch.patch
Patch1:         openttd-0.6.3-menu_category.patch
URL:		http://www.openttd.com/
BuildRequires:	SDL-devel
BuildRequires:	freetype-devel >= 2.2.0
BuildRequires:	libpng-devel
BuildRequires:	sed >= 4
BuildRequires:	unzip
BuildRequires:	zlib-devel
Requires:	timidity++
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
OpenTTD is modeled after the original Microprose Transport Tycoon game
by Chris Sawyer and enhances the game experience dramatically. Many
features were inspired by TTDPatch while others are original.

It requires the original Transport Tycoon Deluxe data files.

%description -l pl
OpenTTD powsta na bazie gry Transport Tycoon stworzonej przez Chrisa
Sawyera, jego grywalno jest jednak duo wiksza. Wiele rzeczy
zostao zainspirowanych przez TTDPatch, duo jest jednak oryginalnych
pomysw.

Do uruchomienia wymagane s pliki danych z Transport Tycoon Deluxe.

%ifnarch i586 i686 pentium3 pentium4 athlon
%package data
Summary:	OpenTTD data files
Summary(pl):	Pliki danych OpenTTD
Group:		Amusements/Games
Requires:	%{name}-binary = %{version}-%{release}

%description data
OpenTTD data files.

%description data -l pl
Pliki danych OpenTTD.
%endif

%package server
Summary:	OpenTTD dedicated server	
Summary(pl):	Dedykowany serwer OpenTTD
Group:		Amusements/Games
Requires:	%{name}-data = %{version}-%{release}
Provides:	%{name}-binary = %{version}-%{release}

%description server
This package contains OpenTTD dedicated server. Note that
graphics-enabled OpenTTD client also has this functionality.

%description server -l pl
Ten pakiet zawiera dedykowany serwer OpenTTD. Naley zwrci uwag,
e graficzny klient OpenTTD rwnie posiada t funkcjonalno.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Let's pldize
find src/lang/ -type f -exec sed -i 's/:Unix/:Doors Linux/' \{\} \;

%build
%define include_flags -I%{_includedir}/freetype2
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
	--disable-strip \
	--prefix-dir="" \
	--binary-dir="%{_bindir}" \
	--data-dir="%{_datadir}/%{name}/" \
	--icon-dir="%{_pixmapsdir}" \
	--icon-theme-dir="%{_pixmapsdir}/hicolor" \
	--man-dir=%{_mandir}/man6 \
	--menu-dir=%{_desktopdir} \
	--shared-dir="%{_datadir}/%{name}/" \
	--enable-dedicated
%{__make} %{?_smp_mflags}
mv bin/openttd bin/openttd-dedicated

%{__make} clean
./configure \
	--disable-strip \
	--prefix-dir="" \
	--binary-dir="%{_bindir}" \
	--data-dir="%{_datadir}/%{name}/" \
	--icon-dir="%{_pixmapsdir}" \
	--icon-theme-dir="%{_pixmapsdir}/hicolor" \
	--man-dir=%{_mandir}/man6 \
	--menu-dir=%{_desktopdir} \
	--shared-dir="%{_datadir}/%{name}/" \
	--install-dir="$RPM_BUILD_ROOT"
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_mandir}/man6,%{_pixmapsdir},%{_datadir}/%{name}/scenario}

%{__make} install 

%{__rm} -fr $RPM_BUILD_ROOT/share

install bin/openttd-dedicated $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
%{__ln_s} %{_pixmapsdir}/hicolor/48x48/apps/openttd.48.png $RPM_BUILD_ROOT%{_pixmapsdir}/openttd.png

%ifarch i586 i686 pentium3 pentium4 athlon
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -f $RPM_BUILD_ROOT%{_pixmapsdir}/*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt known-bugs.txt readme.txt
%doc docs/*.txt docs/*.html docs/*.png docs/*.gif
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man6/*

%ifnarch i586 i686 pentium3 pentium4 athlon
%files data
%defattr(644,root,root,755)
%doc bin/scripts
%{_datadir}/%{name}
%{_pixmapsdir}/*
%endif

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-dedicated
%{_desktopdir}/%{name}-server.desktop

%changelog
* Wed Nov 26 2008 Peter Hanecak <hany@hany.sk> 0.6.3-1
- updated to 0.6.3
- scenarios removed from package

* Fri Sep 12 2008 Peter Hanecak <hany@hany.sk> 0.6.2-1
- updated to 0.6.2

* Mon May 26 2008 Peter Hanecak <hany@hany.sk> 0.6.0-1
- updated to 0.6.0
- openttd-home_etc.patch and openttd-0.5.0-RC2-personal-data.patch
  dropped

* Fri Sep 28 2007 Peter Hanecak <hany@hany.sk> 0.5.3-1
- updated to 0.5.3
- more precise License tag: GPLv2

* Sun Jul  8 2007 Peter Hanecak <hany@hany.sk> 0.5.3-0.rc2
- updated to 0.5.3 RC2

* Sun Jul  8 2007 Peter Hanecak <hany@hany.sk> 0.5.2-1
- updated to 0.5.2 final
- scenarios updated to 0.5.0

* Sat Feb 24 2007 Peter Hanecak <hany@hany.sk> 0.5.0-0.rc5
- updated to 0.5.0 RC5

* Sat Jan  6 2007 Peter Hanecak <hany@hany.sk> 0.5.0-0.rc2
- updated to 0.5.0 RC2, scenario files updated to 0.4.8
- build requires freetype >= 2.2.0
- added %%{?dist} into spec

* Sat May 13 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-3
- do not build data package for i586, i686, pentium3, pentium4 and athlon
  architectures

* Tue Apr 11 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-2
- removed some Conflicts and Provides to avoid yum confusion

* Sun Apr  2 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.7-1
- update to 0.4.7

* Sun Apr  2 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.0.1-2
- rebuild for Doors 9.0 (FC5)

* Sat Jan 28 2006 Peter Hanecak <peter.hanecak@chello.sk> 0.4.0.1-1
- adapted from PLD to Doors
